﻿using Aspose.Note;
using Aspose.Note.Saving;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OneNote2PDF.Utils
{
    class OneNoteUtils
    {

        string dataDir = "";

        /// <summary>
        /// one 文件转化为 pdf
        /// </summary>
        /// <param name="inputFile"></param>
        /// <param name="outputFile"></param>
        /// <returns></returns>
        public static bool One2PDF(string inputFile, string outputFile)
        {
            //异步执行
            


            Document oneFile = new Document(inputFile);
            oneFile.Save(outputFile, SaveFormat.Pdf);
            return true;
        }

        /// <summary>
        /// one文件转化为html ，注意每个one文件分别存一个目录
        /// </summary>
        /// <param name="inputFile"></param>
        /// <param name="outputFile"></param>
        /// <returns></returns>
        public static bool One2Html(string inputFile, string outputFile)
        {
            Document oneFile = new Document(inputFile);
            oneFile.Save(outputFile, SaveFormat.Html);
            return true;
        }
    }
}
